MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025219Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-05 09:552014-11-11 12:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025219: Visualization, TKOpenGl - disable code paths unavailable on OpenGL ES 2.0
DescriptionFix compilation issues when using OpenGL ES 2.0.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0031405)
git (administrator)
2014-09-05 12:32

Branch CR25219 has been created by kgv.

SHA-1: b96673fd4e39bb78bda824067b27ae3289fb5ddd


Detailed log of new commits:

Author: kgv
Date: Fri Sep 5 08:37:08 2014 +0400

    0025219: Visualization, TKOpenGl - disable code paths unavailable on OpenGL ES 2.0
(0031406)
git (administrator)
2014-09-05 12:36

Branch CR25219 has been updated forcibly by kgv.

SHA-1: 5260cb2e2bbeb46bcdc952eb8a7010e76a74c1f5
(0031816)
git (administrator)
2014-09-17 16:17

Branch CR25219_1 has been created by abv.

SHA-1: a1c30a2d5270ad764984a0ff6f8998a868c838fd


No new revisions were added by this update.
(0031818)
abv (manager)
2014-09-17 16:38

Please test branch CR25219_1; for Products use branch CR25216
(0031902)
git (administrator)
2014-09-19 15:40

Branch CR25219_1 has been updated forcibly by apv.

SHA-1: 5694d863b4c391f2bdd505ca3fc5176464e8b6e6
(0031938)
apv (tester)
2014-09-22 12:07
edited on: 2014-09-22 12:08

Dear BugMaster,

Branch CR25219_1 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5694d863b4c391f2bdd505ca3fc5176464e8b6e6

Number of compiler warnings:
occt componrnt:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 193 (193 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
on Windows platform:
http://occt-tests/CR25219-1-master-occt/Windows-32-VC10/summary.html [^]
3rdparty - export(001) - A2, A3, A4, A5, A6, A7
3rdparty - fonts(002) - A2, A3, A4, A5, A5, B1, B2
Moreover, CR25219_1 causes error during OMF sample building.

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355843004 / 355491316
Total CPU difference: 47928.480000000105 / 44818.970000000096

Testing on Windows:
Total MEMORY difference: 242059532 / 241932504
Total CPU difference: 41432.703125 / 34198.375

(0032065)
git (administrator)
2014-09-24 10:49

Branch CR25219_1 has been updated by kgv.

SHA-1: e9313f890d42622f07c9bd8352fce9d08348a708


Detailed log of new commits:

Author: kgv
Date: Wed Sep 24 09:49:01 2014 +0300

    do not use GL_CLAMP_TO_EDGE within OpenGL 1.1 context

(0032066)
git (administrator)
2014-09-24 10:55

Branch CR25219_2 has been created by kgv.

SHA-1: 37355bdca62298830b12b9e240268b5860148f09


Detailed log of new commits:

Author: kgv
Date: Wed Sep 24 09:53:22 2014 +0300

    0025219: Visualization, TKOpenGl - disable code paths unavailable on OpenGL ES 2.0
(0032067)
kgv (developer)
2014-09-24 10:57

Dear bugmaster,

please test branch CR25219_2.
(0032125)
apv (tester)
2014-09-25 12:08

Dear BugMaster,

Branch CR25219_2 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 37355bdca62298830b12b9e240268b5860148f09

Number of compiler warnings:
occt componrnt:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 193 (193 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355786020 / 355491948
Total CPU difference: 46708.98000000007 / 44819.06000000009

Testing on Windows:
Total MEMORY difference: 244943236 / 242275168
Total CPU difference: 35336.125 / 34303.4375

There are differences in images found by testdiff:
http://occt-tests/CR25219-2-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25219-2-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
(0032348)
git (administrator)
2014-09-29 23:16

Branch CR25219_1 has been deleted by kgv.

SHA-1: e9313f890d42622f07c9bd8352fce9d08348a708
(0032349)
git (administrator)
2014-09-29 23:16

Branch CR25219_2 has been deleted by kgv.

SHA-1: 37355bdca62298830b12b9e240268b5860148f09
(0032358)
git (administrator)
2014-09-29 23:21

Branch CR25219 has been deleted by kgv.

SHA-1: 5260cb2e2bbeb46bcdc952eb8a7010e76a74c1f5

- Related Changesets
occt: master ca3c13d1
Timestamp: 2014-09-24 06:53:22
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025219: Visualization, TKOpenGl - disable code paths unavailable on OpenGL ES 2.0
mod - src/OpenGl/OpenGl_ArbDbg.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbFBO.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbIns.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbTBO.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Clipping.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ExtGS.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Flipper.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Font.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore11.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore11Fwd.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore12.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore13.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore14.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore15.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore20.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore21.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore30.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore31.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore32.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore33.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore40.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore41.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore42.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore43.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore44.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LineAttributes.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PointSprite.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBufferArb.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.lxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-05 09:55 kgv New Issue
2014-09-05 09:55 kgv Assigned To => kgv
2014-09-05 09:56 kgv Relationship added child of 0025146
2014-09-05 12:32 git Note Added: 0031405
2014-09-05 12:36 git Note Added: 0031406
2014-09-17 16:17 git Note Added: 0031816
2014-09-17 16:38 abv Note Added: 0031818
2014-09-17 16:38 abv Assigned To kgv => bugmaster
2014-09-17 16:38 abv Status new => feedback
2014-09-18 10:12 bugmaster Assigned To bugmaster => apv
2014-09-18 16:24 bugmaster Assigned To apv => mkv
2014-09-18 16:24 bugmaster Status feedback => reviewed
2014-09-19 14:43 mkv Assigned To mkv => apv
2014-09-19 15:40 git Note Added: 0031902
2014-09-22 11:12 apv Test case number => Not needed
2014-09-22 12:07 apv Note Added: 0031938
2014-09-22 12:08 apv Note Edited: 0031938 View Revisions
2014-09-22 12:08 apv Assigned To apv => kgv
2014-09-22 12:08 apv Status reviewed => assigned
2014-09-24 10:49 git Note Added: 0032065
2014-09-24 10:55 git Note Added: 0032066
2014-09-24 10:57 kgv Note Added: 0032067
2014-09-24 10:57 kgv Assigned To kgv => bugmaster
2014-09-24 10:57 kgv Status assigned => resolved
2014-09-24 10:57 kgv Status resolved => reviewed
2014-09-24 11:27 apv Assigned To bugmaster => apv
2014-09-25 12:08 apv Note Added: 0032125
2014-09-25 12:14 apv Assigned To apv => bugmaster
2014-09-25 12:14 apv Status reviewed => tested
2014-09-26 14:49 bugmaster Changeset attached => occt master ca3c13d1
2014-09-26 14:49 bugmaster Status tested => verified
2014-09-26 14:49 bugmaster Resolution open => fixed
2014-09-29 23:16 git Note Added: 0032348
2014-09-29 23:16 git Note Added: 0032349
2014-09-29 23:21 git Note Added: 0032358
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker